ranges::views::chunk_base_fn Struct Reference
Inheritance diagram for ranges::views::chunk_base_fn:

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&input_range< Rng >) ccconstexpr chunk_view< all_t< Rng >> operator()(Rng &&rng

## Public Attributes

CPP_TEMPLATE_AUX_0 range_difference_t< Rng > n | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 range_difference_t<Rng> n ranges::views::chunk_base_fn::const

Initial value:
{
return {all(static_cast<Rng &&>(rng)), n}